package cn.com.poc.expose.aggregate;

import cn.com.poc.data_analyze.domain.DataAnalyzeTimeRange;
import cn.com.poc.data_analyze.query.MemberPointUsageTrendQueryItem;
import cn.com.poc.expose.entity.PlatformPointUsageEntity;

import java.util.List;
import java.util.Map;

/**
 * @author alex.yao
 * @date 2024/12/23
 */
public interface DataStatisticsService {

    /**
     * 平台积分使用情况
     *
     * @param memberId 会员ID
     * @param channels 渠道列表
     */
    PlatformPointUsageEntity platformPointUsage(Long memberId, List<String> channels);

    /**
     * 平台积分使用趋势
     */
    Map<String, List<MemberPointUsageTrendQueryItem>> platformPointTrend(Long memberId, List<String> channels, DataAnalyzeTimeRange timeRange);

}
